# Torrent stack
## Usage
Torrent downloading stack, supporting movie and tv show automatic downloads. It is meant to give an easy to use, highly configuration interface to pick and download various media, through a large variety of torrent providers.

| Service | WebUI | Usage |
| ------- | ----- | ----- |
| Radarr |host:7878| Movie searcher |
| Sonarr |host:8989| TV shows searcher |
| Jackett |host:9117| Torrent indexer |
| Deluge |host:8112| Torrent client |
| FlareSolver |host:8191| Cloudflare resolver |

## Requirements
Do deploy this instance, you only need to install `docker-compose` and `docker`.

## Installation
Before deploying this services, you will want to copy `.env.sample` into `.env` and update the file accordingly.

```
./start.sh
```

All necessary images should be downloaded automatically and the service should be started in the background.

## Wireguard configuration
The stack needs a wireguard connection by default, please follow the offical wireguard configuration to connect to your desired server.

The docker container will create a configuration directory by default when first booted but that will NOT INCLUDE the wireguard configuration file. To have wireguard properly running, put a properly configured `wg0.conf` into the wireguard configuration directory.

## FlareSolver configuration
Following the recent Cloudflare challenge update, an additinal service is necessary to access some torrent trackers.
To enable this challenge solving, add `http://localhost:8191` in the `FlareSolver` text input of Jackett's UI.
